# $Revision: 1.38 $, $Date: 2002/02/14 02:40:51 $
Summary:	Mini-crypt
Summary(pl):	Mini-crypt
Name:		mcrypt
Version:	2.5.12
Release:	1
Vendor:		Fazekas Mihly Gimnzium, Budapest
License:	GPL
Group:		Development/Libraries
Group(cs):	Vvojov prostedky/Knihovny
Group(da):	Udvikling/Biblioteker
Group(de):	Entwicklung/Bibliotheken
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(is):	runartl/Agerasfn
Group(it):	Sviluppo/Librerie
Group(ja):	ȯ/饤֥
Group(no):	Utvikling/Bibliotek
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(pt):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(sl):	Razvoj/Knjinice
Group(sv):	Utveckling/Bibliotek
Group(uk):	/̦
Source0:	ftp://mcrypt.hellug.gr/pub/mcrypt/%{name}-%{version}.tar.gz
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-man_fix.patch
Patch2:		%{name}-ac_fix.patch
URL:		http://mcrypt.hellug.gr/mcrypt/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libmcrypt-devel >= 2.4.16
BuildRequires:	libtool
BuildRequires:	mhash-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A replacement for the old unix crypt(1) command. Mcrypt uses the
following encryption (block) algorithms: BLOWFISH, DES, TripleDES,
3-WAY, SAFER-SK64, SAFER-SK128, CAST-128, RC2 TEA (extended), TWOFISH,
RC6, IDEA and GOST. The unix crypt algorithm is also included, to
allow compability with the crypt(1) command.

CBC, ECB, OFB and CFB modes of encryption are supported. A library
which allows access to the above algorithms and modes is included.

%description -l pl
Zamiennik dla starej unixowej funkcji crypt(). Mcrypt uywa
nastpujcych algorytmw: BLOWFISH, DES, TripleDES, 3-WAY, SAFER-SK64,
SAFER-SK128, CAST-128, RC2 TEA (rozszerzona), TWOFISH, RC6, IDEA i
GOST. Unixowy algorytm crypt take jest obsugiwany by zachowa
kompatybilno z crypt(1).

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f doc/mcrypt.info missing
gettextize --copy --force
aclocal
autoconf
automake -a -c
%configure \
	--without-included-gettext
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR="$RPM_BUILD_ROOT" install

gzip -9nf LSM AUTHORS NEWS README THANKS TODO  doc/{FORMAT,magic,sample.mcryptrc}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz doc/*.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mcrypt.spec,v $
Revision 1.38  2002/02/14 02:40:51  kloczek
- updated to 2.5.12 (bugfix release).

Revision 1.37  2002/02/02 20:29:19  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.36  2002/01/18 02:13:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2001/11/27 23:30:44  filon
- fixed typo in docs
- release 2

Revision 1.34  2001/10/09 02:27:09  kloczek
- updated to 2.5.10.

Revision 1.33  2001/09/15 22:46:41  kloczek
- updated to 2.5.8.

Revision 1.32  2001/06/13 21:50:30  kloczek
- added ac_fix patch.

Revision 1.31  2001/06/13 20:42:09  kloczek
- updated to 2.5.7,
- bump BuildRequires for libmcrypt to >= 2.4.15.

Revision 1.30  2001/05/03 08:33:44  kloczek
- call also aclocal and autoconf.

Revision 1.29  2001/05/03 08:28:04  kloczek
- call automake with -a -c.

Revision 1.28  2001/05/03 07:35:04  kloczek
- updated to 2.5.6.

Revision 1.27  2000/11/10 20:55:07  kloczek
- release 3: added mhash-devel to BuildRequires.

Revision 1.26  2000/11/06 09:09:54  kloczek
- release 2: use new rpm automation.

Revision 1.25  2000/10/24 14:19:30  mis
- updated to 2.5.5

Revision 1.24  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.23  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.22  2000/05/31 12:46:32  kloczek
- spec adapterized.

Revision 1.21  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.20  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.19  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.17  2000/02/19 14:41:37  kloczek
- release 3,
- recompile against libmcrypt 2.3.0
